Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.keydepot.impl
Class KeyDepotManagerImpl

    java.lang.Object
      be.ehealth.technicalconnector.service.keydepot.impl.KeyDepotManagerImpl

All Implemented Interfaces:
  KeyDepotManager, SessionServiceWithCache

    public final class KeyDepotManagerImpl

extends Object
implements KeyDepotManager, SessionServiceWithCache

Implementation of `KeyDepotManager` and `SessionServiceWithCache`

Nested Class Summary

Nested classes/interfaces inherited from interface be.ehealth.technicalconnector.service.keydepot.KeyDepotManager
`KeyDepotManager.EncryptionTokenType`

Method Summary
`void` | `flushCache()` Method to flush the cache after invoking this method.
`EncryptionToken` | `getEncryptionETK()` Gets the `EncryptionToken` linked with the Encryption credential
`EncryptionToken` | `getEtk(IdentifierType identifierType, Long identifierValue, String application)`
`EncryptionToken` | `getETK(IdentifierType identifierType, Long identifierValue, String application)` Gets the `EncryptionToken` based on the input parameters
`EncryptionToken` | `getETK(KeyDepotManager.EncryptionTokenType type)` Gets the `EncryptionToken` linked with the given EncryptionTokenType parameter.
`Set<EncryptionToken>` | `getETKs(IdentifierType identifierType, Long identifierValue, String application)` Gets the a `Set` of `EncryptionToken` based on the input parameters.
`Set<EncryptionToken>` | `getEtkSet(IdentifierType identifierType, Long identifierValue, String application)`
`EncryptionToken` | `getHolderOfKeyETK()` Gets the `EncryptionToken` linked with the Holder-Of Key credential
`static KeyDepotManager` | `getInstance()` Gets the single instance of ETKCacheManager.
`void` | `setKeyDepotService(KeyDepotService service)` Method to override the `KeyDepotService` used by the manager.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static KeyDepotManager getInstance()

  Gets the single instance of ETKCacheManager.

### getHolderOfKeyETK

    public EncryptionToken getHolderOfKeyETK()
                                      throws TechnicalConnectorException

  Description copied from interface: `KeyDepotManager`
  Gets the `EncryptionToken` linked with the Holder-Of Key credential

  Specified by:
    `getHolderOfKeyETK` in interface `KeyDepotManager`
  Throws:
    `TechnicalConnectorException`

### getEncryptionETK

    public EncryptionToken getEncryptionETK()
                                     throws TechnicalConnectorException

  Description copied from interface: `KeyDepotManager`
  Gets the `EncryptionToken` linked with the Encryption credential

  Specified by:
    `getEncryptionETK` in interface `KeyDepotManager`
  Throws:
    `TechnicalConnectorException`

### getETK

    public EncryptionToken getETK(KeyDepotManager.EncryptionTokenType type)
                           throws TechnicalConnectorException

  Description copied from interface: `KeyDepotManager`
  Gets the `EncryptionToken` linked with the given EncryptionTokenType parameter.

  Specified by:
    `getETK` in interface `KeyDepotManager`
  Throws:
    `TechnicalConnectorException`

### getETK

    public EncryptionToken getETK(IdentifierType identifierType,
                                  Long identifierValue,
                                  String application)
                           throws TechnicalConnectorException

  Description copied from interface: `KeyDepotManager`
  Gets the `EncryptionToken` based on the input parameters

  Specified by:
    `getETK` in interface `KeyDepotManager`
  Throws:
    `TechnicalConnectorException`

### getEtk

    public EncryptionToken getEtk(IdentifierType identifierType,
                                  Long identifierValue,
                                  String application)
                           throws TechnicalConnectorException

  Specified by:
    `getEtk` in interface `KeyDepotManager`
  Throws:
    `TechnicalConnectorException`

### getETKs

    public Set<EncryptionToken> getETKs(IdentifierType identifierType,
                                        Long identifierValue,
                                        String application)
                                 throws TechnicalConnectorException

  Description copied from interface: `KeyDepotManager`
  Gets the a `Set` of `EncryptionToken` based on the input parameters.

  Specified by:
    `getETKs` in interface `KeyDepotManager`
  Throws:
    `TechnicalConnectorException`

### getEtkSet

    public Set<EncryptionToken> getEtkSet(IdentifierType identifierType,
                                          Long identifierValue,
                                          String application)
                                   throws TechnicalConnectorException

  Specified by:
    `getEtkSet` in interface `KeyDepotManager`
  Throws:
    `TechnicalConnectorException`

### setKeyDepotService

    public void setKeyDepotService(KeyDepotService service)

  Description copied from interface: `KeyDepotManager`
  Method to override the `KeyDepotService` used by the manager.

  Default: `ServiceFactory.getKeyDepotService()`

  Specified by:
    `setKeyDepotService` in interface `KeyDepotManager`

### flushCache

    public void flushCache()

  Description copied from interface: `SessionServiceWithCache`
  Method to flush the cache after invoking this method.

  Specified by:
    `flushCache` in interface `SessionServiceWithCache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.